Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

When I try to update, I get this error:

Failed to Download your repository information Check your internet connection

W:GPG error: http ://ppa.launchpad.net oneiric Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 4874D3686E80C6B7, W:Failed to fetch http://ppa.launchpad.net/pmcenery/ppa/ubuntu/dists/oneiric/main/source/Sources 404 Not Found W:Failed to fetch http://ppa.launchpad.net/pmcenery/ppa/ubuntu/dists/oneiric/main/binary-i386/Packages 404 Not Found E:Some index files failed to download. They have been ignored, or old ones used instead.

share|improve this question
    
possible duplicate of How do I fix the GPG error "NO_PUBKEY"? –  Jorge Castro Mar 22 '12 at 3:59
    
Also: askubuntu.com/questions/65911/… –  Jorge Castro Mar 22 '12 at 3:59
    
This old question (Mar 21) has been hijacked by a new user and edited into a new question (Aug 20)- this isn't supposed to happen is it? –  user76204 Aug 20 '12 at 16:28
    
You need to remove all the sources you listed in your question from your Software Sources. Or else, you will not be able to update anything else. –  user135417 Feb 25 '13 at 6:19
    
@Mik Thanks for noticing! I just saw your comment, and rolled this back. In the future, I highly recommend flagging to deal with this, if you cannot roll back yourself. –  Eliah Kagan Feb 25 '13 at 11:04

4 Answers 4

The PPA requested does not have a Oneiric Release. The one that works is here:

http://ppa.launchpad.net/pmcenery/ppa/ubuntu/dists/natty

You have upgraded and not edited your sources.list to reflect that change.

share|improve this answer

As you can see right from the error, it's hitting a 404. If you punch the URL it's failing on into a browser, you'll see the same. This happens because not all PPAs are built for all versions of Ubuntu.

If you look at http://ppa.launchpad.net/pmcenery/ppa/ubuntu/dists/ you'll see that it only covers hardy through natty. So you either need to find a better PPA or adjust your lists settings so it pulls from the natty version (instead of oneiric).

I'd personally look for another. Looking deeper, the software here hasn't been updated for almost a year.

share|improve this answer

open you terminal and do this

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 4874D3686E80C6B7

and try again updating . all the best .

share|improve this answer

Go to System SettingsSoftware SourcesOther Software and unchek all. Maybe this will help.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.